Skip to content
Start here

List History

client.Alerting.History.List(ctx, params) (*V4PagePaginationArray[History], error)
GET/accounts/{account_id}/alerting/v3/history

Gets a list of history records for notifications sent to an account. The records are displayed for last x number of days based on the zone plan (free = 30, pro = 30, biz = 30, ent = 90).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust: PII ReadNotifications WriteNotifications ReadAccount Settings WriteAccount Settings Read
ParametersExpand Collapse
params HistoryListParams
AccountID param.Field[string]

Path param: The account id

maxLength32
Before param.Field[Time]optional

Query param: Limit the returned results to history records older than the specified date. This must be a timestamp that conforms to RFC3339.

formatdate-time
Page param.Field[float64]optional

Query param: Page number of paginated results.

minimum1
PerPage param.Field[float64]optional

Query param: Number of items per page.

maximum1000
minimum5
Since param.Field[Time]optional

Query param: Limit the returned results to history records newer than the specified date. This must be a timestamp that conforms to RFC3339.

formatdate-time
ReturnsExpand Collapse
type History struct{…}
ID stringoptional

UUID

maxLength32
AlertBody stringoptional

Message body included in the notification sent.

AlertType stringoptional

Type of notification that has been dispatched.

Description stringoptional

Description of the notification policy (if present).

Mechanism stringoptional

The mechanism to which the notification has been dispatched.

MechanismType HistoryMechanismTypeoptional

The type of mechanism to which the notification has been dispatched. This can be email/pagerduty/webhook based on the mechanism configured.

One of the following:
const HistoryMechanismTypeEmail HistoryMechanismType = "email"
const HistoryMechanismTypePagerduty HistoryMechanismType = "pagerduty"
const HistoryMechanismTypeWebhook HistoryMechanismType = "webhook"
Name stringoptional

Name of the policy.

PolicyID stringoptional

The unique identifier of a notification policy

maxLength32
Sent Timeoptional

Timestamp of when the notification was dispatched in ISO 8601 format.

formatdate-time

List History

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/alerting"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Alerting.History.List(context.TODO(), alerting.HistoryListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90afafe4643bbbc4a0ed4fc8415",
      "alert_body": "SSL certificate has expired",
      "alert_type": "universal_ssl_event_type",
      "description": "Universal Certificate validation status, issuance, renewal, and expiration notices",
      "mechanism": "test@example.com",
      "mechanism_type": "email",
      "name": "SSL Notification Event Policy",
      "policy_id": "0da2b59ef118439d8097bdfb215203c9",
      "sent": "2021-10-08T17:52:17.571336Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90afafe4643bbbc4a0ed4fc8415",
      "alert_body": "SSL certificate has expired",
      "alert_type": "universal_ssl_event_type",
      "description": "Universal Certificate validation status, issuance, renewal, and expiration notices",
      "mechanism": "test@example.com",
      "mechanism_type": "email",
      "name": "SSL Notification Event Policy",
      "policy_id": "0da2b59ef118439d8097bdfb215203c9",
      "sent": "2021-10-08T17:52:17.571336Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}